### Home Classes Methods

### In Files

- lib/stella/report.rb

### Parent

Storable

### Namespace

- MODULE Stella::Report::Plugin
- CLASS Stella::Report::Content
- CLASS Stella::Report::Errors
- CLASS Stella::Report::Headers
- CLASS Stella::Report::Metrics
- CLASS Stella::Report::Statuses

### Methods

- ::load
- ::new
- ::plugin?
- #postprocess
- #process
- #processed?

### Included Modules

- Gibbler::Complex

### Files

- LICENSE.txt
- TODO

### Class/Module Index

Quicksearch

- Stella
- Stella::API
- Stella::API::Unauthorized
- Stella::Asserts
- Stella::CLI
- Stella::Client
- Stella::Common
- Stella::Common::PrivacyMethods
- Stella::ET
- Stella::Engine
- Stella::Engine::Base
- Stella::Engine::Base::ClassMethods
- Stella::Engine::Checkup
- Stella::EventTemplate
- Stella::ForcedRedirect
- Stella::HTTPError
- Stella::Log
- Stella::Log::HTTP
- Stella::PageError
- Stella::RT
- Stella::RepeatRequest
- Stella::Report
- Stella::Report::Content
- Stella::Report::Content::ReportMethods
- Stella::Report::Errors
- Stella::Report::Errors::ReportMethods
- Stella::Report::Headers
- Stella::Report::Metrics
- Stella::Report::Metrics::ReportMethods
- Stella::Report::Plugin
- Stella::Report::Plugin::ClassMethods
- Stella::Report::Statuses
- Stella::Report::Statuses::ReportMethods
- Stella::RequestError
- Stella::RequestTemplate
- Stella::Session
- Stella::StringTemplate
- Stella::TP
- Stella::Testplan
- Stella::Testplan::ClassMethods
- Stella::TestplanQuit
- Stella::Testrun
- Stella::TimeoutError
- Stella::UC
- Stella::Usecase
- Stella::Usecase::ClassMethods
- Stella::UsecaseError
- Stella::UsecaseFail
- Stella::Utils
- Stella::VERSION
- Addressable
- Addressable::URI
- Time
- Time::Units
- Array
- DefaultTestplan
- Float
- Hash
- MatchData
- MetricsPack
- Numeric
- Object
- OpenStruct
- StellaBehavior
- StellaError
- String
- Symbol
- Thread

No matching classes.

# Stella::Report

### Constants

CRLF

### Attributes

plugin_order[R]
plugins[R]
filter[R]
timeline[R]

### Public Class Methods

load(name) click to toggle source

    # File lib/stella/report.rb, line 32
    def load(name)
      @plugins[name]
    end

new(timeline=nil, runid=nil) click to toggle source

    # File lib/stella/report.rb, line 368
    def initialize(timeline=nil, runid=nil)
      @timeline, @runid = timeline, runid
      @processed = false
    end

plugin?(name) click to toggle source

    # File lib/stella/report.rb, line 29
    def plugin?(name)
      @plugins.has_key? name
    end

### Public Instance Methods

postprocess() click to toggle source

    # File lib/stella/report.rb, line 372
    def postprocess
      self.class.plugins.each_pair do |name,klass|
        val = klass.from_hash(self.send(name))
        self.send("#{name}=", val)
      end
      # When we load a report from a hash, some plugin
      # attributes need to be recontituted from a hash as well.
      (self.content.log || []).collect! { |v| Stella::Log::HTTP.from_hash(v) }
    end

process() click to toggle source

    # File lib/stella/report.rb, line 381
    def process
      self.class.plugin_order.each do |name|
        klass = self.class.plugins[name]
        Stella.ld "processing #{name}"
        plugin = klass.new self
        plugin.process(filter)
        self.send("#{name}=", plugin)
      end
      @processed = true
    end

processed?() click to toggle source

    # File lib/stella/report.rb, line 391
    def processed?
      @processed == true
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.